<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: archives.php
| Author: Philip Daly (HobbyMan)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";

if (file_exists(INFUSIONS."archives_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."archives_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."archives_panel/locale/English.php";
}

        if (isset($_GET['arclist']) || isnum($_GET['arclist'])) {
             $title = trim(preg_replace("/_/", " ",$_GET['arclist']));

opentable($locale['arc001']." ".$title);
     
    $result = dbquery("SELECT 
                              news_id, 
                              news_subject, 
                              news_cat, 
                              news_news, 
                              news_name, 
                              news_datestamp, 
                              news_reads  
                              FROM ".DB_NEWS." 
                              WHERE news_draft ='0'  
                              ORDER BY 
                              news_datestamp DESC
                              ");
    if (dbrows($result) != 0) {

	echo "<div class='post'>\n";
	while ($data = dbarray($result)) {
	$month = date('F', $data['news_datestamp']);
	$year = date('Y', $data['news_datestamp']);
	
    if (($month."_".$year) == $_GET['arclist']) {
	echo "<h3><a href='".BASEDIR."news.php?readmore=".$data['news_id']."' title='".$data['news_subject']."' class='side'>".$data['news_subject']."</a></h3>\n";

    echo stripslashes($data['news_news']);
    $comments = dbcount("(comment_id)", DB_COMMENTS, "comment_item_id ='".$data['news_id']."'");
    $resultb = dbquery("SELECT news_cat_name FROM ".DB_NEWS_CATS." where news_cat_id = '".$data['news_cat']."'");
    if (dbrows($resultb)) {
		$datab = dbarray($resultb);
		$cat_name = $datab['news_cat_name'];
		}
		$author = dbarray(dbquery("SELECT user_id, user_name, user_status FROM ".DB_USERS." WHERE user_id = '".$data['news_name']."'"));
		echo "<div class='clear'></div>\n";
    echo "<span style='float:left;'>".$locale['arc003']." ".profile_link($data['news_name'], $author['user_name'], $author['user_status'])."</span>\n";
	echo "<span style='float:right;'><i>".$locale['arc002']." <a href='".BASEDIR."news_cats.php?cat_id=".$data['news_cat']."'>".$cat_name."</a> ".$locale['arc004']."[".$data['news_reads']."] ".$locale['arc005']." [".$comments."]</i></span><br />\n";
                  }
                }
	echo "</div>";
             } else { echo "<br />\n<center>".$locale['arc101']."</center>\n"; }
           } else { echo "<br />\n<center>".$locale['arc100']."</center>\n"; }

closetable();

require_once THEMES."templates/footer.php";
?>