<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: archives_panel.php
| Author: Philip Daly (HobbyMan)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

if (file_exists(INFUSIONS."archives_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."archives_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."archives_panel/locale/English.php";
}
$limit = "20";

openside($locale['arc001']);

               $sql = ("SELECT 
                               news_id, 
                               news_subject, 
                               news_datestamp 
                               FROM ".DB_NEWS." 
                               WHERE news_draft ='0' 
                               ORDER BY 
                               news_datestamp 
                               DESC LIMIT 0,$limit
                               ");
               $result = dbquery($sql);
               $data = array();
    
    while ($row = dbarray($result)) {
        $year = date('Y', $row['news_datestamp']);
        $month = date('F', $row['news_datestamp']);
        $data[$year][$month][] = $row;
    }
    
    foreach($data as $_year => $_months) {
        echo "<h1>{$_year}</h1>";
        foreach($_months as $_month => $_entries) {
            echo "<ul>\n";
            echo "<li>\n<a href='".INFUSIONS."archives_panel/archives.php?arclist=".$_month."_".$_year."' title='' class='side'>".$_month."</a></li>";
            echo "</ul>\n";
        }
    }

closeside();

?>